## org.eclipse.jetty.client
Class HttpDestination

    java.lang.Object
      org.eclipse.jetty.client.HttpDestination

    public class HttpDestination

extends Object

Version:
  $Revision: 879 $ $Date: 2009-09-11 16:13:28 +0200 (Fri, 11 Sep 2009) $

Method Summary
`void` `addAuthorization(String pathSpec, Authentication authorization)`
`void` `addCookie(HttpCookie cookie)`
`void` `close()`
`protected void` `doSend(HttpExchange ex)`
`void` `dump()`
`Address` `getAddress()`
`int` `getConnections()`
`Buffer` `getHostHeader()`
`HttpClient` `getHttpClient()`
`HttpConnection` `getIdleConnection()`
`int` `getIdleConnections()`
`Address` `getProxy()`
`Authentication` `getProxyAuthentication()`
`boolean` `isProxied()`
`boolean` `isSecure()`
`void` `onConnectionFailed(Throwable throwable)`
`void` `onException(Throwable throwable)`
`void` `onNewConnection(HttpConnection connection)`
`void` `resend(HttpExchange ex)`
`HttpConnection` `reserveConnection(long timeout)`
`void` `returnConnection(HttpConnection connection, boolean close)`
`void` `returnIdleConnection(HttpConnection connection)`
`protected void` `send(HttpConnection connection, HttpExchange exchange)`
`void` `send(HttpExchange ex)`
`void` `setProxy(Address proxy)`
`void` `setProxyAuthentication(Authentication authentication)`
`protected void` `startNewConnection()`
`String` `toDetailString()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### dump

    public void dump()
              throws IOException

  Throws:
    `IOException`

### getAddress

    public Address getAddress()

### getHostHeader

    public Buffer getHostHeader()

### getHttpClient

    public HttpClient getHttpClient()

### isSecure

    public boolean isSecure()

### getConnections

    public int getConnections()

### getIdleConnections

    public int getIdleConnections()

### addAuthorization

    public void addAuthorization(String pathSpec,
                                 Authentication authorization)

### addCookie

    public void addCookie(HttpCookie cookie)

### reserveConnection

    public HttpConnection reserveConnection(long timeout)
                                     throws IOException

  Throws:
    `IOException`

### getIdleConnection

    public HttpConnection getIdleConnection()
                                     throws IOException

  Throws:
    `IOException`

### startNewConnection

    protected void startNewConnection()

### onConnectionFailed

    public void onConnectionFailed(Throwable throwable)

### onException

    public void onException(Throwable throwable)

### onNewConnection

    public void onNewConnection(HttpConnection connection)
                         throws IOException

  Throws:
    `IOException`

### returnConnection

    public void returnConnection(HttpConnection connection,
                                 boolean close)
                          throws IOException

  Throws:
    `IOException`

### returnIdleConnection

    public void returnIdleConnection(HttpConnection connection)

### send

    public void send(HttpExchange ex)
              throws IOException

  Throws:
    `IOException`

### resend

    public void resend(HttpExchange ex)
                throws IOException

  Throws:
    `IOException`

### doSend

    protected void doSend(HttpExchange ex)
                   throws IOException

  Throws:
    `IOException`

### send

    protected void send(HttpConnection connection,
                        HttpExchange exchange)
                 throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toDetailString

    public String toDetailString()

### setProxy

    public void setProxy(Address proxy)

### getProxy

    public Address getProxy()

### getProxyAuthentication

    public Authentication getProxyAuthentication()

### setProxyAuthentication

    public void setProxyAuthentication(Authentication authentication)

### isProxied

    public boolean isProxied()

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.